# Exceptions

If `id` is an identifier and `T` a type other than an open array type, then:

        EXCEPTION id(T)

declares `id` as an exception with argument type `T`. If "`(T)`" is omitted, the exception takes no argument. An exception declaration is allowed only in an interface or in the outermost scope of a module. All declared exceptions are distinct.

    Last modified on Wed Apr  3 09:39:08 PST 1996 by heydon
         modified on Fri Apr 15 13:49:33 PDT 1994 by kalsow